Package org.stianloader.picoresolve.internal

# Class JavaInterop

java.lang.Object
org.stianloader.picoresolve.internal.JavaInterop

public final class JavaInterop extends Object

## Method Summary

Modifier and Type
Method
Description
`static String`
`codepointToString(int codepoint)`
`static <T> @NotNull CompletableFuture<T>`
`exceptionallyCompose(CompletableFuture<T> thiz, @NotNull Function<Throwable,CompletableFuture<T>> fn)`
`static <T> @NotNull CompletableFuture<T>`
`failedFuture(@NotNull Throwable t)`
`static byte @NotNull []`
`readAllBytes(InputStream is)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### codepointToString

public static String codepointToString(int codepoint)

### exceptionallyCompose

@NotNull public static <T> @NotNull CompletableFuture<T> exceptionallyCompose(CompletableFuture<T> thiz, @NotNull @NotNull Function<Throwable,CompletableFuture<T>> fn)

### failedFuture

@NotNull public static <T> @NotNull CompletableFuture<T> failedFuture(@NotNull @NotNull Throwable t)

### readAllBytes

public static byte @NotNull [] readAllBytes(InputStream is) throws IOException

Throws:
  `IOException`